> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/xamarin/ui-customization/setup.md).

# Tool framework setup for Xamarin.iOS

Learn how to set up the Tools framework for your project and enhance PDF functionalities. Add a PTToolManager to PTPDFViewCtrl and configure tool properties. Optimize your PDF experience now! The Apry

*This guide demonstrates how to set up the Tools framework. To begin using the Tools framework, you must have first* [*added it to your project*](/ios/get-started/get-started.md) *and* [*set up the PDFNet library*](/ios/guides/getting-started/showing-a-pdf.md)*.*

## Adding a tool manager

The `Tools.framework` can be used in your project by simply adding a [`PTToolManager`](https://sdk.apryse.com/api/ios/Classes/PTToolManager.html) to an existing [`PTPDFViewCtrl`](https://sdk.apryse.com/api/ios/Classes/PTPDFViewCtrl.html) as its tool delegate:

{% tabs %}
{% tab title="C#" %}
{% code lineNumbers="true" %}

```csharp
using pdftron.PDF.Tools;

// Create the tool manager (used to implement text selection, annotation editing, etc.)
mToolManager = new PTToolManager(mPdfViewCtrl);

// Register the tool manager to receive events.
mPdfViewCtrl.ToolManager = mToolManager;

// Set the initial tool.
self.toolManager.changeTool(PanTool.self)
```

{% endcode %}
{% endtab %}
{% endtabs %}

You can now tap to select and edit annotations, fill forms, long press to select text, and long press empty areas of the document to create annotations.

## Configuration

A `ToolManager` instance can be configured by setting its properties.

The following code shows how to disable text selection and editing of ink (free hand) annotations:

{% tabs %}
{% tab title="C#" %}
{% code lineNumbers="true" %}

```csharp
// Disable editing of ink annotations.
mToolManager.InkAnnotationOptions.CanEdit = false;

// Disable text selection.
mToolManager.TextSelectionEnabled = false;
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/xamarin/ui-customization/setup.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
